#!/bin/sh
clear
# Welcome to my little program made to help newbies upgrade their
# FreeBSD system (box) to the latest Stable version.
# This script is meant to be used by people new to FreeBSD and need help
# upgrading.  If your system is already stable chances are you already 
# know how to upgrade.
# Note: this script will upgrade your system by doing a uname -rs which shows 
# your version.  If it shows RELEASE, it will then go on and Copy some files in
# the world dir, and then it will do a make world, compilation of new kernel,
# and then reboot, so be sure to close all programs, or it will kill them.  ;P
# Thank you for using this, I hope it helps newbies out and gets them familiar
# with upgrading. (C) 2000 Chris
# Please read the README file...!

# variables
version="1.0"
beta="-b12"
name="world.sh"
name1="Secure.sh"
date="9-19-00"
comdate="12-1-00"
today="`date +%D`"
time="`date +%T`"
www="http://sourceforge.net/projects/world-sh"
email="loco0r@home.com"
maillist="world-sh-freebsd@lists.sourceforge.net"
copyright="(C) 2000 Chris Petrik"

echo ""
echo "Welcome to $name ver: $version$beta"
echo "Started on $date to be completed on $comdate"
echo "Today's date is $today Current time is: $time"
echo ""

#Used for seeing if you are root
if [ `/usr/bin/id -u` != 0 ]; then
    echo "You are not root your running $name ver: $version$beta as user: $USER"
    exit 1
fi

#Shows that you are root..
#Then copies some stuff from the world dir to various dirs
if [ `/usr/bin/id -u` = 0 ]; then
    cd /root
    echo "You are root now we can go on with the make world process."
    echo "Seeing what OS your running this program on..."
    if [ `uname -s` = "FreeBSD" ]; then
	echo "checking what branch your running."
	if [ `uname -r' != "4.0-RELASE" ]; then
	echo "you are useing either 4.0rc or 3.x.."
	else if [ `uname -r` != "4.1-RELEASE" ]; then
	echo "you are useing either 4.0rc or 3.x.."
	else if [ `uname -r` != "4.1.1-RELEASE" ]; then
	echo "you are useing either 4.0rc or 3.x.."
	exit 1
	fi
	if [ `uname -r` = "4.0-RELEASE" -o "4.1-RELEASE" -o "4.1.1-RELEASE" ]; then
	echo "going on.."
	fi
	if [ `uname -r` = "4.0-STABLE" -o "4.1-STABLE" -o "4.1.1-STABLE" ]; then
	echo "You are running `uname -rs` would you like to upgrade any ways.."
	echo "Press [Y/n]"
	read ANSWER
	if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
	echo "Going on with world.sh.."
	fi
	if [ $ANSWER = 'n' -o $ANSWER 'N' ]; then
	echo "You have chosen not to upgrade your stable system exiting now.."
	exit 1
	fi
	
	
    else
	echo "You are not running FreeBSD.."
	echo "This is made for and only for freebsd"
	echo "You seem to be running `uname -rs`"
	exit 1
    fi
    echo "Doing a post install..."
    echo "Copying cvsupfile..."
cat << EOF > $HOME/world/cvsupfile
*default  host=cvsup.FreeBSD.org
*default  base=/usr
*default  prefix=/usr
*default  release=cvs
*default  tag=RELENG_4
*default  delete use-rel-suffix

src-base
src-bin
src-contrib
src-crypto
src-etc
src-games
src-gnu
src-include
src-kerberosIV
src-kerberos5
src-lib
src-libexec
src-release
src-sbin
src-secure
src-share
src-sys
src-tools
src-usrbin
src-usrsbin
*default tag=.
ports-all
doc-all
EOF
    cp /root/world/cvsupfile /etc
    echo -n " Done..."
    echo "Copying KERNEL Config file..."

cat << EOF > $HOME/world/KERNEL
#
# GENERIC -- Generic kernel configuration file for FreeBSD/i386
#
# For more information on this file, please read the handbook section on
# Kernel Configuration Files:
#
#    http://www.FreeBSD.org/handbook/kernelconfig-config.html
#
# The handbook is also available locally in /usr/share/doc/handbook
# if you've installed the doc distribution, otherwise always see the
# FreeBSD World Wide Web server (http://www.FreeBSD.org/) for the
# latest information.
#
# An exhaustive list of options and more detailed explanations of the
# device lines is also present in the ./LINT configuration file. If you are
# in doubt as to the purpose or necessity of a line, check first in LINT.
#
# $FreeBSD: src/sys/i386/conf/GENERIC,v 1.246.2.8 2000/07/20 02:51:02 msmith Exp $

machine		i386
cpu		I386_CPU
cpu		I486_CPU
cpu		I586_CPU
cpu		I686_CPU
ident		GENERIC
maxusers	32

#makeoptions	DEBUG=-g		#Build kernel with gdb(1) debug symbols

options         IPFILTER
options         IPFILTER_LOG
options 	MATH_EMULATE		#Support for x87 emulation
options 	INET			#InterNETworking
options 	INET6			#IPv6 communications protocols
options 	FFS			#Berkeley Fast Filesystem
options 	FFS_ROOT		#FFS usable as root device [keep this!]
options 	SOFTUPDATES		#Enable FFS soft updates support
options 	MFS			#Memory Filesystem
options 	MD_ROOT			#MD is a potential root device
options 	NFS			#Network Filesystem
options 	NFS_ROOT		#NFS usable as root device, NFS required
options 	MSDOSFS			#MSDOS Filesystem
options 	CD9660			#ISO 9660 Filesystem
options 	CD9660_ROOT		#CD-ROM usable as root, CD9660 required
options 	PROCFS			#Process filesystem
options 	COMPAT_43		#Compatible with BSD 4.3 [KEEP THIS!]
options 	SCSI_DELAY=15000	#Delay (in ms) before probing SCSI
options 	UCONSOLE		#Allow users to grab the console
options 	USERCONFIG		#boot -c editor
options 	VISUAL_USERCONFIG	#visual boot -c editor
options 	KTRACE			#ktrace(1) support
options 	SYSVSHM			#SYSV-style shared memory
options 	SYSVMSG			#SYSV-style message queues
options 	SYSVSEM			#SYSV-style semaphores
options 	P1003_1B		#Posix P1003_1B real-time extensions
options 	_KPOSIX_PRIORITY_SCHEDULING
options		ICMP_BANDLIM		#Rate limit bad replies
options 	KBD_INSTALL_CDEV	# install a CDEV entry in /dev
options         IPV6FIREWALL
options         IPV6FIREWALL_VERBOSE
options         IPV6FIREWALL_VERBOSE_LIMIT=100
options         IPV6FIREWALL_DEFAULT_TO_ACCEPT
options         IPFIREWALL
options         IPFIREWALL_VERBOSE
options         IPFIREWALL_VERBOSE_LIMIT=100
options         IPFIREWALL_DEFAULT_TO_ACCEPT
options         SC_TWOBUTTON_MOUSE
options         TCP_DROP_SYNFIN
options         TCP_RESTRICT_RST
#options        SC_HISTORY_SIZE=100

# To make an SMP kernel, the next two are needed
#options 	SMP			# Symmetric MultiProcessor Kernel
#options 	APIC_IO			# Symmetric (APIC) I/O
# Optionally these may need tweaked, (defaults shown):
#options 	NCPU=2			# number of CPUs
#options 	NBUS=4			# number of busses
#options 	NAPIC=1			# number of IO APICs
#options 	NINTR=24		# number of INTs

device		isa
device		eisa
device		pci

# Floppy drives
device		fdc0	at isa? port IO_FD1 irq 6 drq 2
device		fd0	at fdc0 drive 0
device		fd1	at fdc0 drive 1

# ATA and ATAPI devices
device		ata0	at isa? port IO_WD1 irq 14
device		ata1	at isa? port IO_WD2 irq 15
device		ata
device		atadisk			# ATA disk drives
device		atapicd			# ATAPI CDROM drives
device		atapifd			# ATAPI floppy drives
device		atapist			# ATAPI tape drives
options 	ATA_STATIC_ID		#Static device numbering
#options 	ATA_ENABLE_ATAPI_DMA	#Enable DMA on ATAPI devices

# SCSI Controllers
device		ahb		# EISA AHA1742 family
device		ahc		# AHA2940 and onboard AIC7xxx devices
device		amd		# AMD 53C974 (Teckram DC-390(T))
device		dpt		# DPT Smartcache - See LINT for options!
device		isp		# Qlogic family
device		ncr		# NCR/Symbios Logic
device		sym		# NCR/Symbios Logic (newer chipsets)
options		SYM_SETUP_LP_PROBE_MAP=0x40
				# Allow ncr to attach legacy NCR devices when
				# both sym and ncr are configured

device		adv0	at isa?
device		adw
device		bt0	at isa?
device		aha0	at isa?
device		aic0	at isa?

# SCSI peripherals
device		scbus		# SCSI bus (required)
device		da		# Direct Access (disks)
device		sa		# Sequential Access (tape etc)
device		cd		# CD
device		pass		# Passthrough device (direct SCSI access)

# RAID controllers
device		ida		# Compaq Smart RAID
device		amr		# AMI MegaRAID
device		mlx		# Mylex DAC960 family
device		twe		# 3ware Escalade

# atkbdc0 controls both the keyboard and the PS/2 mouse
device		atkbdc0	at isa? port IO_KBD
device		atkbd0	at atkbdc? irq 1 flags 0x1
device		psm0	at atkbdc? irq 12

device		vga0	at isa?

# splash screen/screen saver
pseudo-device	splash

# syscons is the default console driver, resembling an SCO console
device		sc0	at isa? flags 0x100

# Enable this and PCVT_FREEBSD for pcvt vt220 compatible console driver
#device		vt0	at isa?
#options 	XSERVER			# support for X server on a vt console
#options 	FAT_CURSOR		# start with block cursor
# If you have a ThinkPAD, uncomment this along with the rest of the PCVT lines
#options 	PCVT_SCANSET=2		# IBM keyboards are non-std

# Floating point support - do not disable.
device		npx0	at nexus? port IO_NPX irq 13

# Power management support (see LINT for more options)
device		apm0    at nexus? disable flags 0x20 # Advanced Power Management

# PCCARD (PCMCIA) support
device		card
device		pcic0	at isa? irq 10 port 0x3e0 iomem 0xd0000
device		pcic1	at isa? irq 11 port 0x3e2 iomem 0xd4000 disable

# Serial (COM) ports
device		sio0	at isa? port IO_COM1 flags 0x10 irq 4
device		sio1	at isa? port IO_COM2 irq 3
device		sio2	at isa? disable port IO_COM3 irq 5
device		sio3	at isa? disable port IO_COM4 irq 9

# Parallel port
device		ppc0	at isa? irq 7
device		ppbus		# Parallel port bus (required)
device		lpt		# Printer
device		plip		# TCP/IP over parallel
device		ppi		# Parallel port interface device
#device		vpo		# Requires scbus and da


# PCI Ethernet NICs.
device		de		# DEC/Intel DC21x4x (``Tulip'')
device		fxp		# Intel EtherExpress PRO/100B (82557, 82558)
device		tx		# SMC 9432TX (83c170 ``EPIC'')
device		vx		# 3Com 3c590, 3c595 (``Vortex'')
device		wx		# Intel Gigabit Ethernet Card (``Wiseman'')

# PCI Ethernet NICs that use the common MII bus controller code.
device		miibus		# MII bus support
device		dc		# DEC/Intel 21143 and various workalikes
device		rl		# RealTek 8129/8139
device		sf		# Adaptec AIC-6915 (``Starfire'')
device		sis		# Silicon Integrated Systems SiS 900/SiS 7016
device		ste		# Sundance ST201 (D-Link DFE-550TX)
device		tl		# Texas Instruments ThunderLAN
device		vr		# VIA Rhine, Rhine II
device		wb		# Winbond W89C840F
device		xl		# 3Com 3c90x (``Boomerang'', ``Cyclone'')

# ISA Ethernet NICs.
device		ed0	at isa? port 0x280 irq 10 iomem 0xd8000
device		ex
device		ep
# WaveLAN/IEEE 802.11 wireless NICs. Note: the WaveLAN/IEEE really
# exists only as a PCMCIA device, so there is no ISA attatement needed
# and resources will always be dynamically assigned by the pccard code.
device		wi
# Aironet 4500/4800 802.11 wireless NICs. Note: the declaration below will
# work for PCMCIA and PCI cards, as well as ISA cards set to ISA PnP
# mode (the factory default). If you set the switches on your ISA
# card for a manually chosen I/O address and IRQ, you must specify
# those paremeters here.
device		an
# Xircom Ethernet
device		xe
# The probe order of these is presently determined by i386/isa/isa_compat.c.
device		ie0	at isa? port 0x300 irq 10 iomem 0xd0000
device		fe0	at isa? port 0x300
device		le0	at isa? port 0x300 irq 5 iomem 0xd0000
device		lnc0	at isa? port 0x280 irq 10 drq 0
device		cs0	at isa? port 0x300
device		sn0	at isa? port 0x300 irq 10

# Pseudo devices - the number indicates how many units to allocated.
pseudo-device	loop		# Network loopback
pseudo-device	ether		# Ethernet support
pseudo-device	sl	1	# Kernel SLIP
pseudo-device	ppp	1	# Kernel PPP
pseudo-device	tun		# Packet tunnel.
pseudo-device	pty		# Pseudo-ttys (telnet etc)
pseudo-device	md		# Memory "disks"
pseudo-device	gif	4	# IPv6 and IPv4 tunneling
pseudo-device	faith	1	# IPv6-to-IPv4 relaying (translation)

# The `bpf' pseudo-device enables the Berkeley Packet Filter.
# Be aware of the administrative consequences of enabling this!
pseudo-device	bpf		#Berkeley packet filter

# USB support
device		uhci		# UHCI PCI->USB interface
device		ohci		# OHCI PCI->USB interface
device		usb		# USB Bus (required)
device		ugen		# Generic
device		uhid		# "Human Interface Devices"
device		ukbd		# Keyboard
device		ulpt		# Printer
device		umass		# Disks/Mass storage - Requires scbus and da
device		ums		# Mouse
# USB Ethernet, requires mii
device		aue		# ADMtek USB ethernet
device		cue		# CATC USB ethernet
device		kue		# Kawasaki LSI USB ethernet
EOF

echo "Would you like to copy the kernel to is destination.."
echo "this is good for thoes of you who know what there doing and whant to
edit a kernel etc.. [Y/n]"
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
    cp /root/world/KERNEL /usr/src/sys/i386/conf/KERNEL
    echo -n " Done..."
else if [ $ANSWER = 'n' -o $ANSWER = 'N' ]; then
	echo "You have chosen not to copy the file.."
	echo "Make sure you have a edited kernel file in /root/world/"
fi
echo "Would you like to edit a custom kernel now?..[y/n]"

read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
echo "since freebsd comes with vi i am going to use vi to edit the conf file"
if [ -d /usr/src ]; then
echo "Make sure you save it as /root/world/KERNEL"
vi /usr/src/sys/i386/conf/GENERIC
fi
if [ ! -d /usr/src ]; then
echo "you dont have /usr/src please run /stand/sysinstall and install it"
exit 1
fi

if [ /usr/local/bin/pico ]; then
echo "Useing pico to edit the conf file.."
echo "Make sure you save it to /root/world/KERNEL so it copyes it
correctly"
pico /usr/src/sys/i386/conf/GENERIC
fi
if [ -f /root/world/KERNEL ]; then
cd /root
cp KERNEL /usr/src/sys/i386/conf 
echo "Later i will have dialog to save it and load it."
echo "So you dont have to save it to /root/world/"
fi

#These commands shows if you have FreeBSD 4.0/4.1/4.1.1 RELEASE
#Then touches a file called RELEASE for RELEASE
if [ `/usr/bin/uname -r` = "4.0-RELEASE" -o "4.1-RELEASE" -o "4.1.1-RELASE" ]; then
        echo "You definitely need to upgrade your FreeBSD machine... "
	echo "Going on.."
	touch /root/RELEASE ; chmod 700 /root/RELEASE
fi

#These commands shows if you have FreeBSD 4.0/4.1/4.1.1 STABLE
#Then touches a file called STABLE for STABLE
#This does the same thing but it adds the new FreeBSD 4.1.1

if [ `/usr/bin/uname -r` = "4.0-STABLE" -o "4.1-STABLE" -o "4.1.1-STABLE" ]; then
	echo "You are running stable. (`uname -ra`)"
	echo "Still wise to upgrade to 4.1.1-STABLE though."
	echo "Makeing temp file for STABLE."
	touch /root/STABLE ; chmod 700 /root/STABLE
	echo -n " Done..."
fi

#This searches your root die for a file named "STABLE."

if [ -e /root/STABLE ]; then
echo "You are running `uname -rs` which can't be upgraded using this script\n
because this script is meant for newbies who don't know how to upgrade their\n
FreeBSD box to stable. If you're running stable then it means you know how to\n
cvsup to stable and then do a make world or make build world or whatever you \n
use."
echo "Would you like to do a make world on your stable system. [Y/n]"
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
	echo "Going on.."
fi
#This checks if you have the cvsup binary, then runs cvsup.

if [ -x /usr/local/bin/cvsup ]; then
	echo -n " Found... "
	echo "Running cvsup..."
	echo "Please stand by this wountt ake to long.."
	cvsup -g -L 2 -z /etc/cvsupfile	
	echo "Done..."
fi

#This does a lot of things.  This means if you don't have it, to Download it
#From ftp.freebsd.org and then run the pkg_add utility to install it.
#Then kills it since you allready have a cvsupfile..

else if [ ! -x /usr/local/bin/cvsup ]; then
	echo -n " Not Found.."
	echo "trying to fetch cvsup package..."
	fetch ftp://ftp.freebsd.org/pub/FreeBSD/CVSup/cvsupit.tgz
	echo -n " Done..."
	echo "Installing the package..."
	pkg_add /root/cvsupit.tgz
	echo -n " Done..."
	echo "Killing cvsup since there is already a cvsupfile in /etc."
	killall -9 cvsup
	echo -n " Done..."
fi

#This searches for make.conf in /etc

if [ -e /etc/make.conf ]; then
	echo "Doing a make world..."

#This searches for make.conf if it can't find it in /etc it makes it
#by touching the file first then echoing USA_RESIDENT = YES to the
# file make.conf

else if [ ! -e /etc/make.conf ]; then
	echo "make.conf not found.  Now making it.  If you're not in the US, please press
	ctrl-c."
	sleep 3
	touch /etc/make.conf
	echo "USA_RESIDENT=     YES" > /etc/make.conf
	echo "By going on you must be in the US/Canada to compile the crypto stuff"
	echo "Back to making world..."
fi
fi
#This searches for /usr/src dir.  If it can't find this, it exits and tell you
#to run sysinstall.

if [ ! -d /usr/src ]; then
	echo "You don't seem to have the sources..."
	echo "Please run sysinstall by typing in sh /stand/sysinstall and install
	them"
	exit 1
fi

#This searches for the directory named /usr/src then does a make world.
#Then it does a kernel compile for your new kernel with my config that I
#made isn't the best it's the GENERIC kernel that I added ipfw, ipf support
#in it
#so you can make your firewall if you want. If you want your sound to be
#supported then you must either read the docs or email me and I will help
#you.  I took down loconet.org since it was practically dead, so email me here
#loco0r@home.com and ask me anything you want, I will help you if I can't
#find an answer then I'll search for one.
#Also this removes old files and dirs from the following dirs /, /usr/obj, and
#/usr/src/sys/compile and then it reboots.  When you're back up you'll be
#running stable.

if [ -d /usr/src ]; then
	echo "going to /usr/src directory..."
	cd /usr/src
	echo -n " OK..."
	echo "Finally doing a make world."
	echo "cleaning up /usr/obj."
	rm -rf /usr/obj/*
	echo "Done!"
	echo "Makeing world please stand by..."
	echo "Don't do anything else while compiling, just let it be until it's done."
	cd /usr/src/ && make world
	echo "Done! Going on with Kernel compile..."
	echo "Again don't touch it, just let it be until it's done..."
	echo "Going to /usr/src/sys/i386/conf."
	cd /usr/src/sys/i386/conf/
	echo -n " Done..."
	echo "Configuring your kernel..."
	cd /usr/src/sys/i386/conf && config KERNEL
	echo -n "Done..."
	echo "Going to compile dir..."
	cd /usr/src/sys/compile/KERNEL
	echo -n " Done..."
	echo "Doing a make depend..."
	cd /usr/src/sys/compile/KERNEL && make depend
	echo "Making the kernel..."
	cd /usr/src/sys/compile/KERNEL && make
	echo -n " Done..."
	echo "Installing the new kernel..."
	cd /usr/src/sys/compile/KERNEL && make install
	echo -n " Done..."
fi
	echo "Your new kernel has been compiled and installed.  If you like, the script"
	echo "can remove your old kernel and modules.  -- DO NOT do this unless you are"
	echo "absolutely positive you have a working backup kernel to fall back on."
	echo -n "Do you wish to delete your old kernel? [y/N] "
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ] ; then
    echo "Removing old kernel and modules."
    rm -rf /usr/src/sys/compile/KERNEL
    rm -rf /kernel.old
    rm -rf /modules.old
    echo "Done..."
fi
if [ $ANSWER = 'n' -o $ANSWER = 'N' ]; then
	echo "You have chosen not to update your stable machine.."
	echo "Thank you for useing $name ver: $version$beta"
	exit 1
fi

#This searches your root dir for a file named "RELEASE."
if [ -e /root/RELEASE ]; then
	echo "You are running `uname -rs` which can be updated to 4.1.1-STABLE 
which is the latest version."
	echo "Going on..."
	echo "Searching for cvsup..."
fi

#This checks if you have the cvsup binary, then runs cvsup.
if [ -x /usr/local/bin/cvsup ]; then
	echo -n " Found... "
	echo "Running cvsup..."
	echo "Please stand by as this may take a while..."
	cvsup -g -L 2 -z /etc/cvsupfile	
	echo "Done..."


#This does a lot of things.  This means if you don't have it, to Download it 
#From ftp.freebsd.org and then run the pkg_add utility to install it.
#Then kills it since you allready have a cvsupfile..

else if [ ! -x /usr/local/bin/cvsup ]; then
	echo -n " Not Found.."
	echo "trying to fetch cvsup package..."
	fetch ftp://ftp.freebsd.org/pub/FreeBSD/CVSup/cvsupit.tgz
	echo -n " Done..."
	echo "Installing the package..."
	pkg_add /root/cvsupit.tgz
	echo -n " Done..."
	echo "Killing cvsup since there is already a cvsupfile in /etc."
	killall -9 cvsup
	echo -n " Done..."
fi
fi

#This searches for make.conf in /etc 

if [ -e /etc/make.conf ]; then
	echo "Doing a make world..."

#This searches for make.conf if it can't find it in /etc it makes it
#by touching the file first then echoing USA_RESIDENT = YES to the 
# file make.conf 

else if [ ! -e /etc/make.conf ]; then
	echo "make.conf not found.  Now making it.  If you're not in the US, please press
	ctrl-c."
	sleep 3
	touch /etc/make.conf
	echo "USA_RESIDENT=     YES" > /etc/make.conf
	echo "By going on you must be in the US/Canada to compile the crypto stuff"
	echo "Back to making world..."
fi

#This searches for /usr/src dir.  If it can't find this, it exits and tell you
#to run sysinstall.

if [ ! -d /usr/src ]; then
	echo "You don't seem to have the sources..."
	echo "Please run sysinstall by typing in sh /stand/sysinstall and install
	them"
	exit 1
fi

#This searches for the directory named /usr/src then does a make world.
#Then it does a kernel compile for your new kernel with my config that I 
#made isn't the best it's the GENERIC kernel that I added ipfw, ipf support
#in it
#so you can make your firewall if you want. If you want your sound to be 
#supported then you must either read the docs or email me and I will help
#you.  I took down loconet.org since it was practically dead, so email me here
#loco0r@home.com and ask me anything you want, I will help you if I can't 
#find an answer then I'll search for one.
#Also this removes old files and dirs from the following dirs /, /usr/obj, and
#/usr/src/sys/compile and then it reboots.  When you're back up you'll be
#running stable.

if [ -d /usr/src ]; then
	echo "going to /usr/src directory..."
	cd /usr/src
	echo -n " OK..."
	echo "Finally doing a make world."
	echo "cleaning up /usr/obj."
	if [ -d /usr/obj/usr ]; then	
	rm -rf /usr/obj/*
	else 
	echo "/usr/obj seems to be clean"
	fi
	echo "Done!"
	echo "Makeing world please stand by..."
	echo "Don't do anything else while compiling, just let it be until it's done."
	cd /usr/src/ && make world
	echo "Done! Going on with Kernel compile..."
	echo "Again don't touch it, just let it be until it's done..."
	echo "Going to /usr/src/sys/i386/conf."
	cd /usr/src/sys/i386/conf/
	echo -n " Done..."
	echo "Configuring your kernel..."
	cd /usr/src/sys/i386/conf && config KERNEL
	echo -n "Done..."
	echo "Going to compile dir..."
	cd /usr/src/sys/compile/KERNEL
	echo -n " Done..."
	echo "Doing a make depend..."
	cd /usr/src/sys/compile/KERNEL && make depend
	echo "Making the kernel..."
	cd /usr/src/sys/compile/KERNEL && make
	echo -n " Done..."
	echo "Installing the new kernel..."
	cd /usr/src/sys/compile/KERNEL && make install
	echo -n " Done..."
fi
	echo "Your new kernel has been compiled and installed.  If you like, the script"
	echo "can remove your old kernel and modules.  -- DO NOT do this unless you are"
	echo "absolutely positive you have a working backup kernel to fall back on."
	echo -n "Do you wish to delete your old kernel? [y/N] "
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ] ; then
    echo "Removing old kernel and modules."
    rm -rf /usr/src/sys/compile/KERNEL
    rm -rf /kernel.old
    rm -rf /modules.old
    if [ -d /usr/obj/usr ]; then
	echo "removing junk files from /usr/obj."
    else
	echo "/usr/obj is clean"
    fi
    echo "Done..."
fi
echo "Would you like to run mergemaster? [Y/n] "
echo "If you dono what it is read the read me file by pressing ctrl alt f2
then login again etc.. then read the read file in /root/world/README"
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
	echo "running mergemaster.."
	if [ -x /usr/sbin/mergemaster ]; then
	exec /usr/sbin/mergemaster
fi
echo "Would you like to run my securing script ? [y/N] "
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
clear
echo ""
echo "Welcome to $name1 ver: $version$beta"
echo "This is a extra script renamed to extras.sh due to it not being all for securing purposes"
echo ""
echo "Would you like to enable sendmail [yY/nN] "
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
	echo 'sendmail_enable = "YES"' > /root/rc.conf.new
	echo 'sendmail_flags = "-bd -q30m"' >> /root/rc.conf.new
if [ $ANSER = 'n' -o $ANSWER = 'N' ]; then
	echo 'sendmail_enable = "NO"' > /root/rc.conf.new
	echo 'sendmail_flags = "-bd -q30m"' >> /root/rc.conf.new
fi	
	echo "Would you like to enable inetd ? [yY/nN] "
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
	echo 'inetd_enable = "YES"' >> /root/rc.conf.new
	echo 'inetd_flags = "-wW"' >> /root/rc.conf.new
cat << EOF > $HOME/world/inetd.conf
# $FreeBSD: src/etc/inetd.conf,v 1.44.2.1 2000/03/25 22:09:59 jhb Exp $
#
# Internet server configuration database
#
#	@(#)inetd.conf	5.4 (Berkeley) 6/30/90
#
#ftp	stream	tcp	nowait	root	/usr/libexec/ftpd	ftpd -l
#telnet	stream	tcp	nowait	root	/usr/libexec/telnetd	telnetd
#shell	stream	tcp	nowait	root	/usr/libexec/rshd	rshd
#login	stream	tcp	nowait	root	/usr/libexec/rlogind	rlogind
#finger	stream	tcp	nowait/3/10 nobody /usr/libexec/fingerd	fingerd -s
#exec	stream	tcp	nowait	root	/usr/libexec/rexecd	rexecd
#uucpd	stream	tcp	nowait	root	/usr/libexec/uucpd	uucpd
#nntp	stream	tcp	nowait	usenet	/usr/libexec/nntpd	nntpd
# run comsat as root to be able to print partial mailbox contents w/ biff,
# or use the safer tty:tty to just print that new mail has been received.
#comsat	dgram	udp	wait	tty:tty	/usr/libexec/comsat	comsat
#ntalk	dgram	udp	wait	tty:tty	/usr/libexec/ntalkd	ntalkd
#tftp	dgram	udp	wait	nobody	/usr/libexec/tftpd	tftpd /tftpboot
#bootps	dgram	udp	wait	root	/usr/libexec/bootpd	bootpd
#
# "Small servers" -- used to be standard on, but we're more conservative
# about things due to Internet security concerns.  Only turn on what you
# need.
#
#daytime stream	tcp	nowait	root	internal
#daytime dgram	udp	wait	root	internal
#time	stream	tcp	nowait	root	internal
#time	 dgram	udp	wait	root	internal
#echo	stream	tcp	nowait	root	internal
#echo	dgram	udp	wait	root	internal
#discard stream	tcp	nowait	root	internal
#discard dgram	udp	wait	root	internal
#chargen stream	tcp	nowait	root	internal
#chargen dgram	udp	wait	root	internal
#
# Kerberos authenticated services
#
#klogin	stream	tcp	nowait	root	/usr/libexec/rlogind	rlogind -k
#eklogin stream	tcp	nowait	root	/usr/libexec/rlogind	rlogind -k -x
#kshell	stream	tcp	nowait	root	/usr/libexec/rshd	rshd -k
#kip	stream	tcp	nowait	root	/usr/libexec/kipd	kipd
#
# CVS servers - for master CVS repositories only!  You must set the
# --allow-root path correctly or you open a trivial to exploit but
# deadly security hole.
#
#cvspserver	stream	tcp	nowait	root	/usr/bin/cvs	cvs --allow-root=/your/cvsroot/here pserver
#cvs		stream	tcp	nowait	root	/usr/bin/cvs	cvs --allow-root=/your/cvsroot/here kserver
#
# RPC based services (you MUST have portmapper running to use these)
#
#rstatd/1-3	dgram rpc/udp wait root	/usr/libexec/rpc.rstatd	 rpc.rstatd
#rusersd/1-2	dgram rpc/udp wait root	/usr/libexec/rpc.rusersd rpc.rusersd
#walld/1	dgram rpc/udp wait root	/usr/libexec/rpc.rwalld	 rpc.rwalld
#pcnfsd/1-2	dgram rpc/udp wait root	/usr/libexec/rpc.pcnfsd	 rpc.pcnfsd	
#rquotad/1	dgram rpc/udp wait root	/usr/libexec/rpc.rquotad rpc.rquotad
#sprayd/1	dgram rpc/udp wait root	/usr/libexec/rpc.sprayd	 rpc.sprayd
#
# example entry for the optional pop3 server
#
#pop3	stream	tcp	nowait	root	/usr/local/libexec/popper	popper
#
# example entry for the optional imap4 server
#
#imap4	stream	tcp	nowait	root	/usr/local/libexec/imapd	imapd
#
# Return error for all "ident" requests
#
#auth	stream	tcp	nowait	root	internal
#
# Provide internally a real "ident" service which provides ~/.fakeid support,
# provides ~/.noident support, reports UNKNOWN as the operating system type
# and times out after 30 seconds.
#
auth	stream	tcp	nowait	root	internal	auth -r -f -n -o UNKNOWN -t 30
#
# Example entry for an external ident server
#
#auth	stream	tcp	wait	root	/usr/local/sbin/identd	identd -w -t120
#
# Example entry for the optional qmail MTA
#  NOTE: This is no longer the correct way to handle incoming SMTP
#        connections for qmail.  Use tcpserver (http://cr.yp.to/ucspi-tcp.html)
#        instead.
#
#smtp	stream	tcp	nowait	qmaild	/var/qmail/bin/tcp-env	tcp-env /var/qmail/bin/qmail-smtpd
#
# Enable the following two entries to enable samba startup from inetd
# (from the Samba documentation).
#
#netbios-ssn stream tcp nowait root /usr/local/sbin/smbd smbd
#netbios-ns dgram udp wait root /usr/local/sbin/nmbd nmbd


#
# IPv6 services
#
#ftp	stream	tcp6	nowait	root	/usr/libexec/ftpd	ftpd -l
#telnet	stream	tcp6	nowait	root	/usr/libexec/telnetd	telnetd
#shell	stream	tcp6	nowait	root	/usr/libexec/rshd	rshd
#login	stream	tcp6	nowait	root	/usr/libexec/rlogind	rlogind
#finger	stream	tcp6	nowait/3/10 nobody /usr/libexec/fingerd	fingerd -s
#
# IPv6 "Small servers"
#
#daytime stream	tcp6	nowait	root	internal
#daytime dgram	udp6	wait	root	internal
#time	stream	tcp6	nowait	root	internal
#time	 dgram	udp6	wait	root	internal
#echo	stream	tcp6	nowait	root	internal
#echo	dgram	udp6	wait	root	internal
#discard stream	tcp6	nowait	root	internal
#discard dgram	udp6	wait	root	internal
#chargen stream	tcp6	nowait	root	internal
#chargen dgram	udp6	wait	root	internal
#
# Return error for all IPv6 "ident" requests
#
#auth	stream	tcp6	nowait	root	internal
#
# Example entry for a real IPv6 ident service similar to the one above for IPv4.
#
#auth	stream	tcp6	nowait	root	internal	auth -r -f -n -o UNKNOWN -t 30
EOF
	mv /etc/inetd.conf /etc/inetd.conf.bak	
	cp /root/world/inetd.conf /etc/inetd.conf
if [ $ANSWER = 'n' -o $ANSWER = 'Y' ]; then
	echo 'inetd_enable = "NO"' >> /root/rc.conf.new
	echo 'inetd_flags = "-wW"' >> /root/rc.conf.new
fi
	echo "Would you like to enable your firewall ? [yY/nN] "
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
	echo 'firewall_enable = "YES"' >> /root/rc.conf.new
	echo 'firewall_script = "/etc/rc.firewall.bak"' >> /root/rc.conf.new
	echo 'firewall_quiet = "YES"' >> /root/rc.conf.new
fi
if [ $ANSWER = 'n' -o $ANSWER = 'N' ]; then
	echo 'firewall_enable = "NO"' >> /root/rc.conf.new
	echo 'firewall_script = "/etc/rc.firewall"' >> /root/rc.conf.new
	echo 'firewall_quiet = "NO" >> /root/rc.conf.new
fi
echo "Please enter a firewall type [open/client/simple/closed/filename]"
read ANSWER
if [ $ANSWER = 'open' -o $ANSWER = 'OPEN' ]; then
	echo 'firewall_type = "OPEN"' >> /root/rc.conf.new
fi
if [ $ANSWER = 'client' -o $ANSWER = 'CLIENT' ]; then
	echo 'firewall_type = "CLIENT"' >> /root/rc.conf.new
fi
if [ $ANSWER = 'simple' -o $ANSWER = 'SIMPLE' ]; then
	echo 'firewall_type = "SIMPLE"' >> /root/rc.conf.new
fi
if [ $ANSWER = 'closed' -o $ANSWER = 'CLOSED' ]; then
	echo 'firewall_type = "CLOSED"' >> /root/rc.conf.new
fi
	echo "If you whant to specify a filename for your filewall then enter it
here: "
read ANSWER
if [ $ANSWER = '$ANSWER'] ; then
	echo 'firewall_type = "$ANSWER"' >> /root/rc.conf.new
fi
echo "Would you like to enable portmap (dont recomend it) [yY/nN] "
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
	echo 'portmap_enable = "YES"' >> /root/rc.conf.new
fi
if [ $ANSWER = 'n' -o $ANSWER = 'N' ]; then
	echo 'portmap_enable = "NO"' >> /root/rc.conf.new
fi
echo "Do you whant to lock down your sys ? [yY/nN] "
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
	echo 'tcp_extensions = "YES"' >> /root/rc.conf.new
	echo 'log_in_vain = "YES"' >> /root/rc.conf.new
	echo 'tcp_keepalive = "YES"' >> /root/rc.conf.new
	echo 'tcp_drop_synfin = "YES"' >> /root/rc.conf.new
	echo 'tcp_restrict_rst = "NO"' >> /root/rc.conf.new
fi
if [ $ANSWER = 'n' -o $ANSWER = 'N' ]; then
	echo 'tcp_entensions = "NO"'
	echo 'log_in_vain = "NO"'
	echo 'tcp_keepalive = "NO"'
	echo ' tcp_drop_synfin = "NO"'
	echo ' tcp_restrict_rst = "NO"'
fi
echo "Would you like to load the local start_up stuff ? [yY/nN] "
# This really a security thing but i does help your pc to boot faster.
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ] ; then
	echo 'local_startup = "YES"' >> /root/rc.conf.new
fi

if [ $ANSWER = 'n' -o $ANSWER = 'N' ]; then
	echo 'local_startup = "NO"' >> /root/rc.conf.new
fi
echo "The rest should be ok i will add and remove stuff that i feel is a
problem or isnt a problem the most problematic program's are portmap,sendmail ,inetd,"
echo "Would you like to change your hostname?: [y/N] "
read ANSWER
if [ "$ANSWER" = "y" -o "$ANSWER" = "Y" ]
then
	echo "Please type in your new hostname: "
	read ANSWER
	echo $ANSWER > ~/hostname
	echo "your new hostname is $ANSWER"
else
	echo "Your hostname has'nt changed and it's `hostname`"
fi
echo "Doing some important security changes.."
	cd /var/log; chmod g-w,o-r * ; chmod a+r wtmp
	for i in ` find / -type f -perm -2000 | egrep -wv  "lockfile" ` ; do chmod g-s $i ; done	
	for i in ` find / -type f -perm -4000 | egrep -wv "man|login|su|ssh|sendmail|procmail|sudo|crontab|mail.local|passwd" ` ; do chmod u-s $i ; done
	for i in ` find / -type d -perm -002 | egrep -v  "tmp" ` ; do chmod o-w $i ; done
	chmod 700 /root
	echo 'clear_tmp_enable = "YES"' >> /root/rc.conf.new
echo "Would you like to setup a screensaver..?"
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
	echo "Pick a screensaver.. (apm,blank,daemon,fade,fire,green,logo,rain,snake,star,warp)"
	echo "This is msotly a try and change if you dont like it rerun it and
	pick andother one.."
	echo 'saver="$ANSWER"' >> /root/rc.conf.new
	echo "Thank you for useing script this is a work in progress script which
	means that this is allways under development new stuff is being added as
	well as old stuff getting removes.."
fi
echo "Would you like me to setup a small firewall to block ping,dest unreach, and deny people from telneting to your xwindows server ?"
read ANSWER
if [ $ANSWER = 'y' -o $ANSWER = 'Y' ]; then
cat << EOF > /root/world/rc.firewall.bak
############
# Setup system for firewall service.
# $FreeBSD: src/etc/rc.firewall,v 1.30.2.4 2000/05/28 19:17:15 asmodai Exp $

# Suck in the configuration variables.
if [ -r /etc/defaults/rc.conf ]; then
	. /etc/defaults/rc.conf
	source_rc_confs
elif [ -r /etc/rc.conf ]; then
	. /etc/rc.conf
fi

############
# Define the firewall type in /etc/rc.conf.  Valid values are:
#   open     - will allow anyone in
#   client   - will try to protect just this machine
#   simple   - will try to protect a whole network
#   closed   - totally disables IP services except via lo0 interface
#   UNKNOWN  - disables the loading of firewall rules.
#   filename - will load the rules in the given filename (full path required)
#
# For ``client'' and ``simple'' the entries below should be customized
# appropriately.

############
#
# If you don't know enough about packet filtering, we suggest that you
# take time to read this book:
#
#	Building Internet Firewalls
#	Brent Chapman and Elizabeth Zwicky
#
#	O'Reilly & Associates, Inc
#	ISBN 1-56592-124-0
#	http://www.ora.com/
#
# For a more advanced treatment of Internet Security read:
#
#	Firewalls & Internet Security
#	Repelling the wily hacker
#	William R. Cheswick, Steven M. Bellowin
#
#	Addison-Wesley
#	ISBN 0-201-6337-4
#	http://www.awl.com/
#

if [ -n "${1}" ]; then
	firewall_type="${1}"
fi

############
# Set quiet mode if requested
#
case ${firewall_quiet} in
[Yy][Ee][Ss])
	fwcmd="/sbin/ipfw -q"
	;;
*)
	fwcmd="/sbin/ipfw"
	;;
esac

############
# Flush out the list before we begin.
#
${fwcmd} -f flush

############
# These rules are required for using natd.  All packets are passed to
# natd before they encounter your remaining rules.  The firewall rules
# will then be run again on each packet after translation by natd,
# minus any divert rules (see natd(8)).
#
case ${natd_enable} in
[Yy][Ee][Ss])
	if [ -n "${natd_interface}" ]; then
	      ${fwcmd} add 50 divert natd all from any to any via ${natd_interface}
	fi
	;;
esac

############
# If you just configured ipfw in the kernel as a tool to solve network
# problems or you just want to disallow some particular kinds of traffic
# then you will want to change the default policy to open.  You can also
# do this as your only action by setting the firewall_type to ``open''.
#
# ${fwcmd} add 65000 pass all from any to any

############
# Only in rare cases do you want to change these rules
#
${fwcmd} add 100 pass all from any to any via lo0
${fwcmd} add 200 deny all from any to 127.0.0.0/8
# If you're using 'options BRIDGE', uncomment the following line to pass ARP
#${fwcmd} add 300 pass udp from 0.0.0.0 2054 to 0.0.0.0


# Prototype setups.
#
case ${firewall_type} in
[Oo][Pp][Ee][Nn])
ip=`ipconfig -au | grep broadcast | awk '{print$2}'`
	${fwcmd} add 65000 pass all from any to any
	${fwcmd} add 97 deny icmp from any to localhost icmptypes 8
	${fwcmd} add 97 deny icmp from any to $ip icmptypes 8
	${fwcmd} add 98 deny icmp from any to localhost icmptypes 3
	${fwcmd} add 98 deny icmp from any to $ip icmptypes 3
	${fwcmd} add 99 deny tcp from any to localhost/28 6000 setup
	${fwcmd} add 99 deny tcp from any to $ip/28 6000 setup
	;;

[Cc][Ll][Ii][Ee][Nn][Tt])
	############
	# This is a prototype setup that will protect your system somewhat
	# against people from outside your own network.
	############

	# set these to your network and netmask and ip
	net="192.0.2.0"
	mask="255.255.255.0"
	ip="192.0.2.1"

	# Allow any traffic to or from my own net.
	${fwcmd} add pass all from ${ip} to ${net}:${mask}
	${fwcmd} add pass all from ${net}:${mask} to ${ip}

	# Allow TCP through if setup succeeded
	${fwcmd} add pass tcp from any to any established

	# Allow IP fragments to pass through
	${fwcmd} add pass all from any to any frag

	# Allow setup of incoming email
	${fwcmd} add pass tcp from any to ${ip} 25 setup

	# Allow setup of outgoing TCP connections only
	${fwcmd} add pass tcp from ${ip} to any setup

	# Disallow setup of all other TCP connections
	${fwcmd} add deny tcp from any to any setup

	# Allow DNS queries out in the world
	${fwcmd} add pass udp from any 53 to ${ip}
	${fwcmd} add pass udp from ${ip} to any 53

	# Allow NTP queries out in the world
	${fwcmd} add pass udp from any 123 to ${ip}
	${fwcmd} add pass udp from ${ip} to any 123

	# Everything else is denied by default, unless the
	# IPFIREWALL_DEFAULT_TO_ACCEPT option is set in your kernel
	# config file.
	;;

[Ss][Ii][Mm][Pp][Ll][Ee])
	############
	# This is a prototype setup for a simple firewall.  Configure this
	# machine as a named server and ntp server, and point all the machines
	# on the inside at this machine for those services.
	############

	# set these to your outside interface network and netmask and ip
	oif="ed0"
	onet="192.0.2.0"
	omask="255.255.255.240"
	oip="192.0.2.1"

	# set these to your inside interface network and netmask and ip
	iif="ed1"
	inet="192.0.2.16"
	imask="255.255.255.240"
	iip="192.0.2.17"

	# Stop spoofing
	${fwcmd} add deny all from ${inet}:${imask} to any in via ${oif}
	${fwcmd} add deny all from ${onet}:${omask} to any in via ${iif}

	# Stop RFC1918 nets on the outside interface
	${fwcmd} add deny all from 10.0.0.0/8 to any via ${oif}
	${fwcmd} add deny all from any to 10.0.0.0/8 via ${oif}
	${fwcmd} add deny all from 172.16.0.0/12 to any via ${oif}
	${fwcmd} add deny all from any to 172.16.0.0/12 via ${oif}
	${fwcmd} add deny all from 192.168.0.0/16 to any via ${oif}
	${fwcmd} add deny all from any to 192.168.0.0/16 via ${oif}

	# Stop draft-manning-dsua-01.txt nets on the outside interface
	${fwcmd} add deny all from 0.0.0.0/8 to any via ${oif}
	${fwcmd} add deny all from any to 0.0.0.0/8 via ${oif}
	${fwcmd} add deny all from 169.254.0.0/16 to any via ${oif}
	${fwcmd} add deny all from any to 169.254.0.0/16 via ${oif}
	${fwcmd} add deny all from 192.0.2.0/24 to any via ${oif}
	${fwcmd} add deny all from any to 192.0.2.0/24 via ${oif}
	${fwcmd} add deny all from 224.0.0.0/4 to any via ${oif}
	${fwcmd} add deny all from any to 224.0.0.0/4 via ${oif}
	${fwcmd} add deny all from 240.0.0.0/4 to any via ${oif}
	${fwcmd} add deny all from any to 240.0.0.0/4 via ${oif}

	# Allow TCP through if setup succeeded
	${fwcmd} add pass tcp from any to any established

	# Allow IP fragments to pass through
	${fwcmd} add pass all from any to any frag

	# Allow setup of incoming email
	${fwcmd} add pass tcp from any to ${oip} 25 setup

	# Allow access to our DNS
	${fwcmd} add pass tcp from any to ${oip} 53 setup
	${fwcmd} add pass udp from any to ${oip} 53
	${fwcmd} add pass udp from ${oip} 53 to any

	# Allow access to our WWW
	${fwcmd} add pass tcp from any to ${oip} 80 setup

	# Reject&Log all setup of incoming connections from the outside
	${fwcmd} add deny log tcp from any to any in via ${oif} setup

	# Allow setup of any other TCP connection
	${fwcmd} add pass tcp from any to any setup

	# Allow DNS queries out in the world
	${fwcmd} add pass udp from any 53 to ${oip}
	${fwcmd} add pass udp from ${oip} to any 53

	# Allow NTP queries out in the world
	${fwcmd} add pass udp from any 123 to ${oip}
	${fwcmd} add pass udp from ${oip} to any 123

	# Everything else is denied by default, unless the
	# IPFIREWALL_DEFAULT_TO_ACCEPT option is set in your kernel
	# config file.
	;;

[Uu][Nn][Kk][Nn][Oo][Ww][Nn])
	;;
*)
	if [ -r "${firewall_type}" ]; then
		${fwcmd} ${firewall_flags} ${firewall_type}
	fi
	;;
esac
EOF
	
fi
echo "Finalizing setup by copying the new rc.conf"
	cd /root
	cat /root/rc.conf.new >> /etc/rc.conf
	chown root.wheel /etc/rc.conf
	chmod 644 /etc/rc.conf
	mkdir /root/world/secure/backup
	cp /root/rc.conf.new /root/world/secure/backup
echo "Done.."
echo "Going on with the world.sh process.."
if [ $ANSWER = 'n' -o $ANSWER = 'N' ]; then
echo "Skipping the secure process.."
echo "Going on with world.sh process.."	
fi

echo "Removing temp files from root dir."
cd /root && rm -rf cvsupit.tgz && rm -rf cvsupfile && rm -rf KERNEL
echo "not removing the temp files made for your kernel since those will be overiden when you run this program again"
#Removes the temp files I made for STABLE or RELEASE depending on what your
#using.

if [ -e /root/RELEASE ]; then
	cd /root/ && rm -rf RELEASE
else if [ -e /root/STABLE ]; then
	cd /root/ && rm -rf STABLE
fi
	echo -n " Done..."
	echo "Pausing for 3 seconds and then rebooting.."
	sleep 3
	echo "Thank you for useing this script $copyright"
	echo "Please submit bugs etc.. to ($email) please goto the home page
at ($www) and please get on the mailing list at ($maillist)." 
fi
fi
echo "Sleeping for 10 secs so you can close programs save crap etc.."
sleep 10
echo "Times up rebooting.."
reboot
